--OPERATION ALLIED FORCE by KappinHook
---------------------------------------
--ATO TASKS
--Flag 113 is mission time delay for new tasks.
--Flag 112 is mission number identified below.
--Flag 111 is mission nullifier.
--Flag 100 is rebroadcast mission message.
--Flag 99 is mission sequence counter.
--Flag 1 - 11, value 2 while on means mission is complete.
---------------------------------------
local i = trigger.misc.getUserFlag('99')
local x = trigger.misc.getUserFlag('112')
local l1 = "ATO TASK//\n"
local l2 = "TSKCNTRY/US/CAN/FRA/SWE//\n"
local l3 = "TASKUNIT/ATF-C/ICAO:UGSB//\n"

if x == 1 then
	local l4 = "MSN/" .. i .. "/CAS//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E//\n"
	local l6 = "TGT/4X ENEMY WHEELED VEH//\n"
	local l7 = "TGTLOC/OCHAMCHIRA:42-43-58N 41-27-34E//\n"
	local l8 = "GENTEXT/A DISMOUNTED RECCE TEAM IN THE AREA WILL MARK THE VEHICLES IN THE STAGING AREA WITH RED SMOKE ONCE YOU ARE WITHIN 5KM OF THE OBJECTIVE. DESTROY ALL VEHICLES//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)	
	if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end

if x == 2 then
	local l4 = "MSN/" .. i .. "/CAP//\n"
	local l5 = "MSNACFT/M2000C/AJS37/F5E/F15C//\n"
	local l6 = "TGT/2X RUSSIAN SU-24MR//\n"
	local l7 = "TGTLOC/SUKHUMI-BABUSHARA AFB:42-51-51N 41-08-10E//\n"
	local l8 = "GENTEXT/INTEL HAS CONFIRMED 2X RUSSIAN SU-24MR ARE DISPATCHING ON A RECON MISSION LEAVING SUKHUMI-BABUSHARA AND LIKELY HEADING SOUTH DOWN THE COAST LINE TO BATUMI AFB. INTEL CONFIRMS IMAGERY WAS REQUESTED BY RUSSIAN COMMAND. DESTROY 2X EN AC//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
	if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end

if x == 3 then
	local l4 = "MSN/" .. x .. "/CAS//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E//\n"
	local l6 = "TGT/10X EN VEH SUPPLY CONVOY//\n"
	local l7 = "TGTLOC/ZUGDIDI:42-31-57N 41-52-45E/DZHVARI:42-41-24N 42-02-36E//\n"
	local l8 = "GENTEXT/INSURGENT CONVOY LEAVING OUT OF ZUGDIDI, HEADING NORTH TO DZHVARI. ISTAR RECON CONFIRMS 6X SUPPLY TRUCKS AND 2X BTR-80 LEAD AND REAR. ELIMINATE ALL CONVOY VEHICLES//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
	if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end

if x == 4 then
	local l4 = "MSN/" .. i .. "/SEAD//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E//\n"
	local l6 = "TGT/4X RUSSIAN ZU-23 AAA//\n"
	local l7 = "TGTLOC/S DIHAZURGA:42-34-59N 41-51-02E//\n"
	local l8 = "GENTEXT/ISTAR HAS LOCATED 4X RUSSIAN ZU-23 AAA POSNS DEFENDING A CRUICAL BRIDGE FOR A RUSSIAN GROUND FORCE ADVANCE. SUPPRESS EN AAA AND LEAVE BRIDGE INTACT. ZU-23 EFF RANGE 2.5KM. ENEMY MANPADS MAY BE PRESENT//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
	if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end
if x == 5 then
	local l4 = "MSN/" .. i .. "/CAS//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E//\n"
	local l6 = "TGT/INSURGENT PLATOON IN OPEN//\n"
	local l7 = "TGTLOC/KUTAISI AFB:42-11-06N 42-29-57E//\n"
	local l8 = "GENTEXT/PLATOON SIZE DISMOUNTED INSURGENT FORCE IS ATTACKING KUTAISI AIRBASE. FRIENDLY FORCES ARE TAKING EFFECTIVE FIRE. FRIENDLY FORCES ON THE GROUND WILL INDICATE THEIR POSITION WITH BLUE SMOKE AND MARK THE ENEMY WITH RED WHEN ALLIED FLIGHT IS WITHIN 8KM OF KUTAISI AFB. NEUTRALIZE EN THREAT IN THE AREA//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
	if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end
if x == 6 then
	local l4 = "MSN/" .. i .. "/CAP//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E/F15C/\n"
	local l6 = "TGT/2X EN MI-8MTV2//\n"
	local l7 = "TGTLOC/KOBULETI AFB:41-55-59N 41-52-04E//\n"
	local l8 = "GENTEXT/ISTAR HAS CONFIRMED 2X ARMED RUSSIAN MI-8MTV2 ARE EN ROUTE FROM SUKHUMI-BABUSHARA AFB:42-51-51N 41-08-10E TO INFLICT MAX DAMAGE TO KOBULETI AFB. FRIENDLY FORCES ON THE GROUND THERE ARE SETTING UP FOR A DEFENSIVE. NO AIR DEFENCE ASSETS ON LOCATION. INTERCEPT AND DESTROY THE ENEMY//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
	if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end
if x == 7 then
	local l4 = "MSN/" .. i .. "/CAS//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E//\n"
	local l6 = "TGT/3X RUSSIAN SPH 2S19 MSTA//\n"
	local l7 = "TGTLOC/S GALI:42-36-29N 41-43-23E//\n"
	local l8 = "GENTEXT/INT OPERATING IN ZUGDIDI:42-30-50N 41-51-48E ARE REPORTING THE CITY IS UNDER AN EFFECTIVE BARRAGE FROM RUSSIAN ARTILLERY. ISTAR CONFIRMED 3X SPH 2S19 MSTA 2X SUPPORT VEHICLES ARE SOUTH OF GALI AT THIS TIME. ELIMINATE EN ARTILLERY AND SUPPORTING VEHICLES//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
	if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end
if x == 8 then
	local l4 = "MSN/" .. i .. "/CAS//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E//\n"
	local l6 = "TGT/INSURGENT COMMAND HIDEOUT//\n"
	local l7 = "TGTLOC/NW HUMENI-NATOPURI:42-38-12N 41-35-47E//\n"
	local l8 = "GENTEXT/ISTAR HAS CONFIRMED THE LOCATION OF AN INSURGENT COMMAND HIDEOUT. 1X ZU-23, 1X BDRM2 1X CP WHEELED 2X SUPPLY VEHICLES WERE CONFIRMED ON LOCATION. SITUATION MAY HAVE CHANGED. DESTROY ALL VEH AND INSURGENT OUTPOST BLDG//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
		if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end
if x == 9 then
	local l4 = "MSN/" .. i .. "/CAS//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E//\n"
	local l6 = "TGT/INSURGENT AMBUSH ARMOR TEAM//\n"
	local l7 = "TGTLOC/NW SENAKI:42-18-47N 42-00-11E//\n"
	local l8 = "GENTEXT/AMERICAN SUPPLY CONVOY AMBUSHED BY INSURGENT ARMOR NEED REQUIRE IMMEDIATE ASSISTANCE. CONVOY TO DEPLOY BLUE SMOKE WHEN ATF-C AIR SUPPORT WITHIN 5KM. ELIMINATE AMBUSH TEAM//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
	if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end
if x == 10 then
	local l4 = "MSN/" .. i .. "/CAP//\n"
	local l5 = "MSNACFT/M2000C/AJS37/F5E/F15C//\n"
	local l6 = "TGT/RUSSIAN AWACS PATROL//\n"
	local l7 = "TGTLOC/OCHAMCHIRA:42-43-59N 41-28-05E//\n"
	local l8 = "GENTEXT/ISTAR HAVE CONFIRMED 1X RUSSIAN A-50 AWACS ESCORTED BY 2X SU-27 ARE CURRENTLY DEPARTING SUKHUMI-BABUSHARA AFB. RECENT INTEL IS PREDICTING THE FLIGHT TO ORBIT OCHAMCHIRA. ELIMINATE THE ESCORTS AND DESTROY THE AWACS//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
		if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end
if x == 11 then
	local l4 = "MSN/" .. i .. "/SEAD-CAS//\n"
	local l5 = "MSNACFT/A10C/M2000C/AJS37/F5E/F15C//\n"
	local l6 = "TGT/2X RUSSIAN TU-92MS AND AD ASSETS//\n"
	local l7 = "TGTLOC/SUKHUMI-BABUSHARA AFB:42-51-51N 41-08-10E//\n"
	local l8 = "GENTEXT/SATELLITE IMAGERY AND INTEL HAVE CONFIRMED 2X TU-92MS BOMBERS ARE PREPPING FOR A MAJOR OFFENSIVE. ELIMINATE BOTH BOMBERS. BE ADVISED EN AIR DEFENCE ASSETS ARE DEPLOYED ON THE AIRFIELD AND WILL BE AT RED BATTLESTATIONS ON WEAPONS FREE//"
	trigger.action.outText(l1 .. l2 .. l3 .. l4 .. l5 .. l6 .. l7 .. l8, 60)
		if trigger.misc.getUserFlag(x) == 2 then
		trigger.action.outText("MISSION COMPLETE - STANDBY FOR TASK...", 60)
	end
end
